### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fdbatesvanillaengine.hpp File Reference

Partial Integro Finite-Differences Bates vanilla option engine. More...

`#include <ql/models/equity/batesmodel.hpp>`
`#include <ql/instruments/dividendvanillaoption.hpp>`
`#include <ql/pricingengines/genericmodelengine.hpp>`
`#include <ql/methods/finitedifferences/solvers/fdmbackwardsolver.hpp>`
Include dependency graph for fdbatesvanillaengine.hpp:

## Classes

class | FdBatesVanillaEngine
| Partial Integro FiniteDifferences Bates Vanilla Option engine. More...

## Detailed Description

Partial Integro Finite-Differences Bates vanilla option engine.